Page 1 of 1

postgres setup

PostPosted: Sun Sep 19, 2021 4:34 pm
by Terence Kearns
so I noticed that r17 doesn't offer postgresql installation on Windoze as part of DR setup.

so I just downloaded the latest version of postgresql server and installed it. After finally figuring out the PG_hba.conf files, I was able to create a db through resolve but then it immediately gave me this error message.

resolve-pg critical exception.png
resolve-pg critical exception.png (36.23 KiB) Viewed 498 times


is the latest version of PG (13) incompatible?
which version of PG server is supported by the latest DR?

Re: postgres setup

PostPosted: Sun Sep 19, 2021 5:31 pm
by roger.magnusson
The Project Server is now a separate download and includes PostgreSQL. The latest version is "DaVinci Resolve Project Server 17.3" and it's available here: https://www.blackmagicdesign.com/support/family/davinci-resolve-and-fusion

Re: postgres setup

PostPosted: Tue Sep 21, 2021 1:44 am
by Igor Riđanović
I think the qualified version of PSQL is 9.6 or thereabouts. It's been discussed in this forum before.

It's not necessarily that the newer versions of PostgreSQL are incompatible, but it's uncharted territory. You're on your own if you go higher.

Re: postgres setup

PostPosted: Tue Sep 21, 2021 2:01 am
by Dwaine Maggart
The Resolve installer is no longer used to install PostgreSQL.

As mentioned, the Resolve Project Server app is now used to install PostgreSQL on systems lacking that.

I would strongly recommend you COMPLETELY uninstall the PostgreSQL you installed, including the data folder.

Then run the Resolve Project Server 17.3 installer, and let it install and configure PostgreSQL.

Then use the Project Server app to create and share new PostgreSQL databases you wish to use.

The PostgreSQL version installed on Windows remains 9.5.4.